diff --git a/web/pgadmin/feature_tests/pg_datatype_validation_test.py b/web/pgadmin/feature_tests/pg_datatype_validation_test.py
index dc12b51c0..65d7bfbc5 100644
--- a/web/pgadmin/feature_tests/pg_datatype_validation_test.py
+++ b/web/pgadmin/feature_tests/pg_datatype_validation_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import os
 import json
 import time
diff --git a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
index 91b514fe2..5f4461205 100644
--- a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import os
 
 from selenium.webdriver.support.ui import WebDriverWait
diff --git a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
index bd28dd9a1..173723a3b 100644
--- a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import random
 import os
 
diff --git a/web/pgadmin/feature_tests/query_tool_auto_complete_tests.py b/web/pgadmin/feature_tests/query_tool_auto_complete_tests.py
index 7de94b38d..cb9d3cdb0 100644
--- a/web/pgadmin/feature_tests/query_tool_auto_complete_tests.py
+++ b/web/pgadmin/feature_tests/query_tool_auto_complete_tests.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import sys
 import random
 
diff --git a/web/pgadmin/feature_tests/query_tool_journey_test.py b/web/pgadmin/feature_tests/query_tool_journey_test.py
index 4b6c3679d..f439917eb 100644
--- a/web/pgadmin/feature_tests/query_tool_journey_test.py
+++ b/web/pgadmin/feature_tests/query_tool_journey_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import sys
 import random
 
diff --git a/web/pgadmin/feature_tests/query_tool_tests.py b/web/pgadmin/feature_tests/query_tool_tests.py
index 6c4826994..9328d4b50 100644
--- a/web/pgadmin/feature_tests/query_tool_tests.py
+++ b/web/pgadmin/feature_tests/query_tool_tests.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import sys
 import time
 
diff --git a/web/pgadmin/feature_tests/table_ddl_feature_test.py b/web/pgadmin/feature_tests/table_ddl_feature_test.py
index 13b3a88bd..5ff4054b2 100644
--- a/web/pgadmin/feature_tests/table_ddl_feature_test.py
+++ b/web/pgadmin/feature_tests/table_ddl_feature_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import random
 
 from regression.feature_utils.base_feature_test import BaseFeatureTest
diff --git a/web/pgadmin/feature_tests/view_data_dml_queries.py b/web/pgadmin/feature_tests/view_data_dml_queries.py
index 21921ccb5..4b7d88e4f 100644
--- a/web/pgadmin/feature_tests/view_data_dml_queries.py
+++ b/web/pgadmin/feature_tests/view_data_dml_queries.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import json
 import os
 import time
diff --git a/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py b/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py
index d2f10a40e..439bbd147 100644
--- a/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py
+++ b/web/pgadmin/feature_tests/xss_checks_panels_and_query_tool_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import sys
 import random
 
diff --git a/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py b/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
index 3becd1539..f0cbf9aff 100644
--- a/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
+++ b/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import random
 
 from selenium.webdriver import ActionChains
diff --git a/web/pgadmin/feature_tests/xss_checks_roles_control_test.py b/web/pgadmin/feature_tests/xss_checks_roles_control_test.py
index 37a46fa0c..2b090118a 100644
--- a/web/pgadmin/feature_tests/xss_checks_roles_control_test.py
+++ b/web/pgadmin/feature_tests/xss_checks_roles_control_test.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import random
 
 from regression.python_test_utils import test_utils
diff --git a/web/pgadmin/misc/bgprocess/process_executor.py b/web/pgadmin/misc/bgprocess/process_executor.py
index 074554933..13e48efdc 100755
--- a/web/pgadmin/misc/bgprocess/process_executor.py
+++ b/web/pgadmin/misc/bgprocess/process_executor.py
@@ -29,7 +29,6 @@ It also depends on the following environment variable for proper execution.
 PROCID - Process-id
 OUTDIR - Output directory
 """
-from __future__ import print_function
 
 # To make print function compatible with python2 & python3
 import sys
diff --git a/web/pgadmin/misc/bgprocess/processes.py b/web/pgadmin/misc/bgprocess/processes.py
index e85ebd2e0..63016c39a 100644
--- a/web/pgadmin/misc/bgprocess/processes.py
+++ b/web/pgadmin/misc/bgprocess/processes.py
@@ -294,8 +294,7 @@ class BatchProcess(object):
             # anyway be the redundant value in paths.
             if not current_app.PGADMIN_RUNTIME:
                 paths.insert(0, os.path.join(u_encode(sys.prefix), u'bin'))
-            python_binary_name = 'python{0}'.format(sys.version_info[0]) \
-                if sys.version_info[0] >= 3 else 'python'
+            python_binary_name = 'python{0}'.format(sys.version_info[0])
             interpreter = which(u_encode(python_binary_name), paths)
 
         p = None
diff --git a/web/pgadmin/misc/file_manager/__init__.py b/web/pgadmin/misc/file_manager/__init__.py
index 458a27550..90cd51fe9 100644
--- a/web/pgadmin/misc/file_manager/__init__.py
+++ b/web/pgadmin/misc/file_manager/__init__.py
@@ -15,6 +15,7 @@ import random
 import string
 import sys
 import time
+from urllib.parse import unquote
 from sys import platform as _platform
 import config
 import codecs
@@ -39,18 +40,6 @@ if _platform == "win32":
     SEM_FAIL = SEM_NOOPENFILEERRORBOX | SEM_FAILCRITICALERRORS
     file_root = ""
 
-# uppercase supported in py2, ascii_uppercase supported in py3
-try:
-    letters = string.uppercase
-except Exception:
-    letters = string.ascii_uppercase
-
-# import unquote from urlib for python2.x and python3.x
-try:
-    from urllib import unquote
-except Exception as e:
-    from urllib.parse import unquote
-
 MODULE_NAME = 'file_manager'
 global transid
 
@@ -517,7 +506,7 @@ class Filemanager(object):
             try:
                 drives = []
                 bitmask = ctypes.windll.kernel32.GetLogicalDrives()
-                for letter in letters:
+                for letter in string.ascii_uppercase:
                     if bitmask & 1:
                         drives.append(letter)
                     bitmask >>= 1
diff --git a/web/pgadmin/tools/backup/__init__.py b/web/pgadmin/tools/backup/__init__.py
index d083a2e55..0383e2781 100644
--- a/web/pgadmin/tools/backup/__init__.py
+++ b/web/pgadmin/tools/backup/__init__.py
@@ -9,7 +9,6 @@
 
 """Implements Backup Utility"""
 
-from __future__ import unicode_literals
 import simplejson as json
 import os
 
diff --git a/web/pgadmin/tools/search_objects/tests/test_api_search.py b/web/pgadmin/tools/search_objects/tests/test_api_search.py
index 3952006d2..f12e9865e 100644
--- a/web/pgadmin/tools/search_objects/tests/test_api_search.py
+++ b/web/pgadmin/tools/search_objects/tests/test_api_search.py
@@ -7,9 +7,9 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import sys
 import json
+from urllib.parse import urlencode
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
@@ -17,11 +17,6 @@ from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from regression.python_test_utils import test_utils as utils
 
-try:
-    from urllib import urlencode
-except Exception as e:
-    from urllib.parse import urlencode
-
 
 class SearchObjectsApiSearch(BaseTestGenerator):
     """ This class will test search API of search objects. """
diff --git a/web/pgadmin/utils/crypto.py b/web/pgadmin/utils/crypto.py
index 21ecdc2c2..b33590bec 100644
--- a/web/pgadmin/utils/crypto.py
+++ b/web/pgadmin/utils/crypto.py
@@ -9,14 +9,10 @@
 
 """This File Provides Cryptography."""
 
-from __future__ import division
-
 import base64
 import hashlib
 import os
 
-import six
-
 from cryptography.hazmat.backends import default_backend
 from cryptography.hazmat.primitives.ciphers import Cipher
 from cryptography.hazmat.primitives.ciphers.algorithms import AES
@@ -41,7 +37,7 @@ def encrypt(plaintext, key):
 
     # If user has entered non ascii password (Python2)
     # we have to encode it first
-    if isinstance(plaintext, six.text_type):
+    if isinstance(plaintext, str):
         plaintext = plaintext.encode()
 
     return base64.b64encode(iv + encryptor.update(plaintext) +
@@ -68,7 +64,7 @@ def decrypt(ciphertext, key):
 def pad(key):
     """Add padding to the key."""
 
-    if isinstance(key, six.text_type):
+    if isinstance(key, str):
         key = key.encode()
 
     # Key must be maximum 32 bytes long, so take first 32 bytes
diff --git a/web/pgadmin/utils/csv.py b/web/pgadmin/utils/csv.py
index a29eb9aa9..ee586991c 100644
--- a/web/pgadmin/utils/csv.py
+++ b/web/pgadmin/utils/csv.py
@@ -58,8 +58,6 @@ Agreement.
 # quote it.
 ############################################################################
 
-from __future__ import unicode_literals, absolute_import
-
 __all__ = ["QUOTE_MINIMAL", "QUOTE_ALL", "QUOTE_NONNUMERIC", "QUOTE_NONE",
            "Error", "Dialect", "__doc__", "Excel", "ExcelTab",
            "field_size_limit", "Reader", "Writer", "register_dialect",
@@ -74,12 +72,6 @@ from csv import (
     __version__, __doc__, Error, field_size_limit,
 )
 
-# Stuff needed from six
-string_types = str
-text_type = str
-binary_type = bytes
-unichr = chr
-
 
 class QuoteStrategy(object):
     quoting = None
@@ -123,7 +115,7 @@ class QuoteStrategy(object):
         return self.dialect.escapechar
 
     def prepare(self, raw_field, only=None):
-        field = text_type(raw_field if raw_field is not None else '')
+        field = str(raw_field if raw_field is not None else '')
         quoted = self.quoted(field=field, raw_field=raw_field, only=only)
 
         escape_re = self.escape_re(quoted=quoted)
@@ -229,7 +221,7 @@ class Writer(object):
 
         self.fileobj = fileobj
 
-        if isinstance(dialect, text_type):
+        if isinstance(dialect, str):
             dialect = get_dialect(dialect)
 
         try:
@@ -276,7 +268,7 @@ class Reader(object):
     def __init__(self, fileobj, dialect='excel', **fmtparams):
         self.input_iter = iter(fileobj)
 
-        if isinstance(dialect, text_type):
+        if isinstance(dialect, str):
             dialect = get_dialect(dialect)
 
         try:
@@ -449,7 +441,7 @@ class Reader(object):
                     break
                 raise
 
-            if not isinstance(lineobj, text_type):
+            if not isinstance(lineobj, str):
                 typ = type(lineobj)
                 typ_name = 'bytes' if typ == bytes else typ.__name__
                 err_str = ('iterator should return strings, not {0}'
@@ -478,7 +470,7 @@ _dialect_registry = {}
 
 
 def register_dialect(name, dialect='excel', **fmtparams):
-    if not isinstance(name, text_type):
+    if not isinstance(name, str):
         raise TypeError('"name" must be a string')
 
     dialect = Dialect.extend(dialect, fmtparams)
@@ -546,7 +538,7 @@ class Dialect(object):
 
         if dialect.lineterminator is None:
             raise Error('lineterminator must be set')
-        if not isinstance(dialect.lineterminator, text_type):
+        if not isinstance(dialect.lineterminator, str):
             raise Error('"lineterminator" must be a string')
 
         if dialect.quoting not in [
@@ -562,7 +554,7 @@ class Dialect(object):
     @staticmethod
     def validate_text(dialect, attr):
         val = getattr(dialect, attr)
-        if not isinstance(val, text_type):
+        if not isinstance(val, str):
             if type(val) == bytes:
                 raise Error('"{0}" must be string, not bytes'.format(attr))
             raise Error('"{0}" must be string, not {1}'.format(
@@ -587,7 +579,7 @@ class Dialect(object):
 
     @classmethod
     def extend(cls, dialect, fmtparams=None):
-        if isinstance(dialect, string_types):
+        if isinstance(dialect, str):
             dialect = get_dialect(dialect)
 
         if fmtparams is None:
diff --git a/web/pgadmin/utils/driver/psycopg2/__init__.py b/web/pgadmin/utils/driver/psycopg2/__init__.py
index 5124d1caa..992c85f5c 100644
--- a/web/pgadmin/utils/driver/psycopg2/__init__.py
+++ b/web/pgadmin/utils/driver/psycopg2/__init__.py
@@ -366,13 +366,6 @@ class Driver(BaseDriver):
 
             if len(val) == 0:
                 continue
-            if hasattr(str, 'decode') and not isinstance(val, unicode):
-                # Handling for python2
-                try:
-                    val = str(val).encode('utf-8')
-                except UnicodeDecodeError:
-                    # If already unicode, most likely coming from db
-                    val = str(val).decode('utf-8')
             value = val
 
             if Driver.needsQuoting(val, True):
@@ -398,14 +391,6 @@ class Driver(BaseDriver):
             if not hasattr(val, '__len__'):
                 val = str(val)
 
-            if hasattr(str, 'decode') and not isinstance(val, unicode):
-                # Handling for python2
-                try:
-                    val = str(val).encode('utf-8')
-                except UnicodeDecodeError:
-                    # If already unicode, most likely coming from db
-                    val = str(val).decode('utf-8')
-
             if len(val) == 0:
                 continue
 
diff --git a/web/pgadmin/utils/driver/psycopg2/connection.py b/web/pgadmin/utils/driver/psycopg2/connection.py
index 9da91b88c..9c78b502e 100644
--- a/web/pgadmin/utils/driver/psycopg2/connection.py
+++ b/web/pgadmin/utils/driver/psycopg2/connection.py
@@ -15,7 +15,6 @@ object.
 
 import random
 import select
-import six
 import datetime
 from collections import deque
 import psycopg2
@@ -628,7 +627,7 @@ WHERE
                 # "unicode_escape" will convert single backslash to double
                 # backslash, so we will have to replace/revert them again
                 # to store the correct value into the database.
-                if isinstance(val, six.string_types):
+                if isinstance(val, str):
                     modified_val = val.encode('unicode_escape')\
                         .decode('raw_unicode_escape')\
                         .replace("\\\\", "\\")
diff --git a/web/pgadmin/utils/driver/psycopg2/server_manager.py b/web/pgadmin/utils/driver/psycopg2/server_manager.py
index 45d7b4e04..923046e70 100644
--- a/web/pgadmin/utils/driver/psycopg2/server_manager.py
+++ b/web/pgadmin/utils/driver/psycopg2/server_manager.py
@@ -175,9 +175,6 @@ class ServerManager(object):
             async_=None, use_binary_placeholder=False, array_to_string=False
     ):
         if database is not None:
-            if hasattr(str, 'decode') and \
-                    not isinstance(database, unicode):
-                database = database.decode('utf-8')
             if did is not None and did in self.db_info:
                 self.db_info[did]['datname'] = database
         else:
diff --git a/web/pgadmin/utils/server_utils.py b/web/pgadmin/utils/server_utils.py
index fa39b16fe..fbcd81efe 100644
--- a/web/pgadmin/utils/server_utils.py
+++ b/web/pgadmin/utils/server_utils.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import json
 
diff --git a/web/pgadmin/utils/sqlautocomplete/completion.py b/web/pgadmin/utils/sqlautocomplete/completion.py
index 056729976..bcc345b4f 100644
--- a/web/pgadmin/utils/sqlautocomplete/completion.py
+++ b/web/pgadmin/utils/sqlautocomplete/completion.py
@@ -4,8 +4,6 @@ Using Completion class from
             blob/master/prompt_toolkit/completion.py
 """
 
-from __future__ import unicode_literals
-
 __all__ = (
     'Completion'
 )
diff --git a/web/pgadmin/utils/sqlautocomplete/parseutils/tables.py b/web/pgadmin/utils/sqlautocomplete/parseutils/tables.py
index 94ffc7f46..6c779e8df 100644
--- a/web/pgadmin/utils/sqlautocomplete/parseutils/tables.py
+++ b/web/pgadmin/utils/sqlautocomplete/parseutils/tables.py
@@ -1,4 +1,3 @@
-from __future__ import print_function
 import sqlparse
 from collections import namedtuple
 from sqlparse.sql import IdentifierList, Identifier, Function
diff --git a/web/pgadmin/utils/sqlautocomplete/parseutils/utils.py b/web/pgadmin/utils/sqlautocomplete/parseutils/utils.py
index 6bfe7cbf5..878e5c583 100644
--- a/web/pgadmin/utils/sqlautocomplete/parseutils/utils.py
+++ b/web/pgadmin/utils/sqlautocomplete/parseutils/utils.py
@@ -1,4 +1,3 @@
-from __future__ import print_function
 import re
 import sqlparse
 from sqlparse.sql import Identifier
diff --git a/web/pgadmin/utils/sqlautocomplete/sqlcompletion.py b/web/pgadmin/utils/sqlautocomplete/sqlcompletion.py
index c5f1f461b..0da04926e 100644
--- a/web/pgadmin/utils/sqlautocomplete/sqlcompletion.py
+++ b/web/pgadmin/utils/sqlautocomplete/sqlcompletion.py
@@ -1,4 +1,3 @@
-from __future__ import print_function
 import sys
 import re
 import sqlparse
@@ -9,9 +8,6 @@ from .parseutils.utils import (
 from .parseutils.tables import extract_tables
 from .parseutils.ctes import isolate_query_ctes
 
-string_types = str
-
-
 Special = namedtuple('Special', [])
 Database = namedtuple('Database', [])
 Schema = namedtuple('Schema', ['quoted'])
@@ -223,7 +219,7 @@ def _split_multiple_statements(full_text, text_before_cursor, parsed):
 
 def suggest_based_on_last_token(token, stmt):
 
-    if isinstance(token, string_types):
+    if isinstance(token, str):
         token_v = token.lower()
     elif isinstance(token, Comparison):
         # If 'token' is a Comparison type such as
diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index 4c2628fc0..334956409 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import time
 import sys
 
diff --git a/web/regression/python_test_utils/test_utils.py b/web/regression/python_test_utils/test_utils.py
index d137ffcde..b806f478b 100644
--- a/web/regression/python_test_utils/test_utils.py
+++ b/web/regression/python_test_utils/test_utils.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import fileinput
 import traceback
@@ -24,7 +23,7 @@ from testtools.testcase import clone_test_with_new_id
 import re
 import time
 from selenium.common.exceptions import WebDriverException
-import urllib.request as urllib
+from urllib.request import urlopen
 import json
 from selenium import webdriver
 from selenium.webdriver.chrome.options import Options
@@ -1470,7 +1469,7 @@ def get_selenium_grid_status_json(selenoid_url):
     :return:
     """
     try:
-        selenoid_status = urllib.urlopen(
+        selenoid_status = urlopen(
             "http://" + re.split('/', (re.split('//', selenoid_url, 1)[1]))[
                 0] + "/status", timeout=10)
         selenoid_status = json.load(selenoid_status)
diff --git a/web/regression/re_sql/tests/test_resql.py b/web/regression/re_sql/tests/test_resql.py
index 46eeb9e18..85a6aaebc 100644
--- a/web/regression/re_sql/tests/test_resql.py
+++ b/web/regression/re_sql/tests/test_resql.py
@@ -6,11 +6,11 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-from __future__ import print_function
 import json
 import os
 import re
 import traceback
+from urllib.parse import urlencode
 from flask import url_for
 import regression
 from regression import parent_node_dict
@@ -21,17 +21,6 @@ from pgadmin.browser.server_groups.servers.databases.tests import \
 from pgadmin.utils.versioned_template_loader import \
     get_version_mapping_directories
 
-# import urlencode from urlib for python2.x and python3.x
-try:
-    from urllib import urlencode
-except Exception as e:
-    from urllib.parse import urlencode
-
-try:
-    basestring
-except NameError:
-    basestring = str
-
 
 def create_resql_module_list(all_modules, exclude_pkgs, for_modules):
     """
@@ -728,7 +717,7 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
         :return:
         """
 
-        if isinstance(value, basestring) and \
+        if isinstance(value, str) and \
                 value.startswith('<') and value.endswith('>'):
             # Remove < and > from the string
             temp_value = value[1:-1]
diff --git a/web/regression/runtests.py b/web/regression/runtests.py
index 067cdcae8..73d3eb7ba 100644
--- a/web/regression/runtests.py
+++ b/web/regression/runtests.py
@@ -9,7 +9,6 @@
 
 """ This file collect all modules/files present in tests directory and add
 them to TestSuite. """
-from __future__ import print_function
 
 import argparse
 import atexit
-- 
2.27.0

